tt_fd(library call)

NAME
tt_fd — return a file descriptor

SYNOPSIS

#include &<Tt/tt_c.h>
int tt_fd(void)

DESCRIPTION

The tt_fd function returns a file descriptor. The returned file descriptor alerts the process that a message has arrived for the default procid in the default session.

File descriptors are either active or inactive. When the file descriptor becomes active, the process must call tt_message_receive(3) to receive the message.

RETURN VALUE

Upon successful completion, the tt_fd function returns the file descriptor for the current procid. The application can use tt_int_error(3) to extract one of the following Tt_status values from the returned integer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The current default process identifier is out of date or invalid.

TT_ERR_SESSION
    The specified ToolTalk session is out of date or invalid.

APPLICATION USAGE

The application must have a separate file descriptor for each procid. To get an associated file descriptor, the application should use tt_fd each time it calls tt_open(3).

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_open(3), tt_int_error(3), tt_message_receive(3).